#ifndef _APP_BT_USER_H_
#define _APP_BT_USER_H_

#include <stdlib.h>


typedef enum
{
    BT_Idle = 0, 
    BT_Conn,
}BT_Sts_Enum;


typedef enum
{
    Call_Idle = 0, 
    Call_IncomeCalling,
    Call_OutCalling,
    Call_InProcess,
    // Call_Miss,
    // Call_Hangup,
}Call_Sts_Enum;

typedef enum
{
    HF_Idle = 0, 
    HF_Answer,
    HF_Reject,
}Call_HF_Ctrl_Enum;

typedef struct
{
    uint8_t BT_Sts;
    uint32_t BT_DisConnReason;
    uint8_t Call_Sts;
    uint16_t ReconnTime;
    uint8_t HF_Ctrl;
   // char Number[11];
   // char CCLC[11];
    char Get_Call_Num;
    char Call_Fitter_sts;
    uint8_t HfClient_Req_Cnt;
}BT_User_Control_Struct;

extern BT_User_Control_Struct BT_User;

void BT_Connect_Event_Pro(void );
void BT_DisConnect_Event_Pro(void );
void BT_User_Process(void );
void BT_User_Init(void );
extern uint8_t ODO_Clear_BLEinfo(void );

#endif